List audit events
curl --request GET \
--url https://api.example.com/governance/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/governance/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/governance/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"org_id": "<string>",
"actor_id": "<string>",
"actor_type": "<string>",
"action": "<string>",
"resource_type": "<string>",
"source_service": "<string>",
"project_id": "<string>",
"resource_id": "<string>",
"source_pod": "<string>",
"trace_id": "<string>",
"details": {}
}
],
"pagination": {
"page": 2,
"limit": 50,
"total_items": 1,
"total_pages": 1,
"next_page": 123,
"prev_page": 123
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}audit
List audit events
List audit events for the current organization with optional filters. Results are always scoped to the user’s organization (no cross-org access). Requires organization admin permissions.
GET
/
governance
/
audit
List audit events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by project
Filter by actor
Filter by action
Filter by resource type
Filter by resource ID
Start of time range
End of time range
Page number
Required range:
x >= 1Page size (max 100)
Required range:
1 <= x <= 100Was this page helpful?

